<?php

namespace Framework;

class Kernel extends \Framework\Foundation\HttpKernel
{

    /**
     * The application's global HTTP middleware stack. These middlewares 
     * are run during every request to your application. Any changes of these
     * middlewares sequences might cause application breakdown.
     * 
     * @var array
     */
    protected $middleware = [
        /** All bootstrappers classes */
        \Framework\Middleware\LoadDefaultConfiguration::class,
        \Framework\Middleware\SetCrmInstance::class,

        /** Required routes middleares */
        \Framework\Middleware\MigrateUsersAccessInfo::class,
        \Framework\Middleware\LoadUsersAccessInfo::class,
        \Framework\Middleware\CaptureHttpReferer::class,
        \Framework\Middleware\CheckFunnelDisableStatus::class,
        \Framework\Middleware\InitShippingProfile::class,
        /** Any custom middleware */
    ];

}
