<?php

namespace Framework\Middleware;

use Closure;
use Framework\Foundation\Config;

class CaptureHttpReferer implements \Framework\Contracts\Middleware
{

    /**
     * Handle an incoming request.
     *
     * @param  Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!empty(Config::get('capture_http_referer')) && empty($_SESSION['http_url_referer']))
        {
            $_SESSION['http_url_referer'] = !empty($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
        }

        return $next($request);
    }

}
