<?php

namespace Framework\Modules\Crm\Contracts;

interface Crm
{

    /**
     * @param array $formData
     */
    public function newProspect($formData);

    /**
     * @param array $formData
     */
    public function newOrderWithProspect($formData);

    /**
     * @param array $formData
     * @param array $configData
     * @param string $type
     */
    public function newOrder($formData, $configData, $type);

    /**
     * @param array $queryStrings
     * @param array $orderIds
     */
    public function orderView($queryStrings, $orderIds);

    /**
     * @param array $formData
     */
    public function singleOrderView($formData);

    /**
     * @param array $responseData
     * @param array $formData
     */
    public function hasOwnedThisOrder($responseData, $formData);

    /**
     * @param array $responseData
     * @param array $formData
     */
    public function prepareDataForCancel($responseData, $formData);

    /**
     * @param array $formData
     */
    public function cancelOrder($formData);

    /**
     * @param array $response
     */
    public function isDecline($response);
}
