if (document.getElementById("checkout-frames-container")) {
    var paymentForm = document.getElementById('checkoutGatewayForm');
    var publicKey = UniConfig.checkout_public_key;
    var payNowButton = document.getElementById('submitbtn');
    var localisation = {
        cardNumberPlaceholder: "Card Number",
        expiryMonthPlaceholder: "Month",
        expiryYearPlaceholder: "Year",
        cvvPlaceholder: "Cvv"
    }
    Frames.init({
        publicKey: publicKey,
        containerSelector: '#checkout-frames-container',
        localisation: localisation,
        cardSubmitted: function() {
            payNowButton.disabled = false;
        },
        cardTokenised: function(){
            payNowButton.disabled = false;
        },
        cardTokenisationFailed: function(){
            payNowButton.disabled = false;
        },
        style: {
            '.embedded .card-form .input-group': {
                borderRadius: '5px'
            }
        }
    });
}