// Create model table
```php
$customer = new \Framework\Models\Customer;
$customer->createMigration();
```

// Create / insert record
```php
$customer = new \Framework\Models\Customer;
$customer->ip = '127.0.0.99';
$customer->user_agent = md5($_SERVER['HTTP_USER_AGENT']);
$customer->meta = json_encode([
    'metainfo1' => 'zxy',
    'metainfo1' => 'xyz'
]);
$customer->save();
```

// Read/fetch record
```php
$customer = new \Framework\Models\Customer::find($id);
dd($customer->id);

$customers = new \Framework\Models\Customer::find([
    'ip' => '127.0.0.1',
    'user_agent' => md5('mizilla')
]);
dd($customers);
```

// Update record
```php
$customer = new \Framework\Models\Customer::find($id);

$customer->ip = 'new_ip_addr';
$customer->meta = 'new meta';
$customer->save();

```

// Delete record
```php
$customer = new \Framework\Models\Customer::find($id);
$customer->delete();
```
