<?php

namespace Framework\Modules\Crm\Middleware\Order;

use Closure;
use Framework\Foundation\Config;

class ProcessDataForSixCrm implements \Framework\Contracts\Middleware {

    public function handle($request, Closure $next)
    {
        # For sixCrm, add upsell step in session 
        if (Config::get('payment_provider.api_type') == 'sixcrm')
        {
            $_SESSION['upsell_step'] = $request->step;
            if (!empty($_SESSION['external_data']))
            {
                unset($_SESSION['external_data']);
            }
        }

        return $next($request);
    }
}