<?php
namespace Framework\Modules\Migration;

use Framework\Foundation\Helper;

class UsersJson {

    private static $oldData;
    private static $newData=null; 
    
    public static function migrate() {
        static::$oldData = Helper::getJsonFileData(STORAGE_PATH, 'access.json');
    
        if(static::$oldData->isEmpty()) return;
        static::mapData();
        if(static::$newData) {

            Helper::createFileifNotExists('users.json', STORAGE_PATH, json_encode(static::$newData, JSON_PRETTY_PRINT));
        }
    }

    private static function mapData() {

        static::$newData = static::$oldData->get('credentials', null);
    }

}



