<?php


/*
  |--------------------------------------------------------------------------
  | Turn On The Lights
  |--------------------------------------------------------------------------
  |
  | This bootstraps the app and load constants, check PHP versions, and more.
  | We can modify the file to switch or set our apps env, development domain names,
  | Production configuration etc.
  |
 */

require_once 'Framework/bootstrap.php';

/*
  |--------------------------------------------------------------------------
  | Composer Autoloader
  |--------------------------------------------------------------------------
  |
  | Once we've bootstrap the app, autoload all dependencies
  |
 */

require 'vendor/autoload.php';

/*
  |--------------------------------------------------------------------------
  | Run The Application
  |--------------------------------------------------------------------------
  |
  | Once we've bootstrap the app the autoload all dependencies we can handle the incoming
  | request through the kernel and send the associated response back to the client's browser
  | allowing them to enjoy the creative and wonderful application we have prepared for them.
  |
 */

$httpKernel = new \Framework\Kernel;

$response = $httpKernel->handle(
        \Symfony\Component\HttpFoundation\Request::createFromGlobals()
);

$response->send();
